import pandas
import statsmodels.formula.api as smf

df = pandas.read_csv("data_figure2.csv")


for type in  ["Thd", "Ado", "5FUrd"]:
    print(" ")
    print(type)

    minidf = df[["Actual", "predicted_{}_{}".format(type, 1), "predicted_{}_{}".format(type, 2)]]

    new_df1 = df[["Actual"]].copy()
    new_df1["predicted"] = df["predicted_{}_{}".format(type, 1)]

    new_df2 = df[["Actual"]].copy()
    new_df2["predicted"] = df["predicted_{}_{}".format(type, 2)]

    joined_df = new_df1.append(new_df2, ignore_index=True)
    print(joined_df)

    #import statsmodels
    #import statsmodels.formula.api
    fit = smf.ols(formula="Actual ~ predicted -1 ", data=joined_df).fit()
    #print(fit.summary())
    #print(fit.rsquared)

    total_sum_of_squares    = sum((joined_df.predicted - joined_df.Actual.mean() )**2)
    residual_sum_of_squares = sum((joined_df.predicted - joined_df.Actual)**2)


    #total_sum_of_squares    = sum((joined_df.predicted - joined_df.predicted.mean() )**2)
    #residual_sum_of_squares = sum((joined_df.predicted - fit.predict(joined_df))**2)

    rsquared = 1 - residual_sum_of_squares / total_sum_of_squares

    print("R Squared:")
    print(rsquared)
