import pandas

df = pandas.read_csv("data_figure4.csv")


for type in  ["275300", "fullspectrum"]:
    total_ressquared = 0
    i = 0
    for replicate in ["repl1", "repl2"]:
        partial_ressquared = 0
        j = 0
        for measurement_number in ["1","2","3"]:
                column = "{}_{}_meas{}".format(replicate, type, measurement_number)
                for _, entry in df[["Actual", column]].iterrows():
                    estimated = entry[column]
                    if pandas.isna(estimated):
                        continue
                    true      = entry["Actual"]
                    residual  = estimated - true
                    res_squared = residual**2

                    total_ressquared += res_squared
                    i += 1

                    j += 1
                    partial_ressquared += res_squared


        partial_rmsd = ( partial_ressquared / j ) ** 0.5
        print("--- PARTIAL ---")
        print("replicate:")
        print(replicate)
        print("who:")
        print(type)
        print("RMSD:")
        print(partial_rmsd)
        print(" ")
        print(" ")
        j = 0
        partial_ressquared = 0

    rmsd = ( total_ressquared / i ) ** 0.5

    print("--- TOTAL ---")
    print("who:")
    print(type)
    print("RMSD:")
    print(rmsd)
    print(" ")
    print(" ")
